library(ggplot2)

#BEFORE USING THIS SCRIPT:
#generate lambda_inset.csv file from D output model1 that contains l.50 values for each predictor
#for error bars need to calculate mean of l.05 and l.95 to enter on line 11 ymin ymax
d <- read.csv("lambda_inset.csv", header=T)

ggplot(d, aes(x=predictor, y=l.50)) +
    #BEFORE USING THIS SCRIPT calculate ymin and ymax from l.05 and l.95 in D output model1
    geom_errorbar(aes(ymin=0.15,  ymax=0.94), size=0.8, width=0.0, alpha=0.4) +
    #geom_boxplot(width=0.3,outline=FALSE) +
    geom_point(size=8,shape=1,stroke=1) +
    theme_classic() +
    theme(axis.text.x=element_text(size=12,angle=90,hjust=1),
          axis.text.y=element_text(size=20),
          axis.title.x=element_text(size=20),
          axis.title.y=element_text(size=20)) +
    xlab("Predictor") + ylab("Lambda of w") + ylim(0,1)

