library(ape)
library(ggtree)

tr <- read.nexus("WSpeciesTree.nex")

#plots simple unlabeled tree
# ggplot(tr) + geom_tree() + theme_tree()

# label species at tips of tree and make sure text isn't cut off
# ggtree(tr) + geom_tiplab() + ggplot2::xlim(0, 1000)

#to see node numbers to help with additional annotation to tree
#ggtree(tr) + geom_tiplab() + ggplot2::xlim(0, 900) + geom_text(aes(label=node))

#A new version of ggtree that works with ggplot2 has changes
#Some functions, add_legend, hilight, annotation_clade and annotation_clade2 were removed. 
#Instead we provide layer functions, geom_treescale, geom_hilight and geom_cladelabel.

#phylogeny with clades labeled, species italicized, primates highlighted, and tree scale
ggtree(tr) + geom_tiplab(aes(label=label),align=T,fontface='italic') + ggplot2::xlim(0, 1000) + 
  geom_cladelabel(node=52, "Primata", offset=190,fontsize=5) + 
  geom_cladelabel(node=14,"Rodentia",offset=190,fontsize=5) + 
  geom_cladelabel(node=46,"Carnivora",offset=190,fontsize=5) +
  geom_cladelabel(node=44,"Artiodactyla",offset=190,fontsize=5) + 
  geom_cladelabel(node=41,"Afrotheria",offset=190,fontsize=5) + 
  geom_cladelabel(node=37, "Passeriformes", offset=190,fontsize=5) +
  geom_cladelabel(node=11, "Perissodactyla",offset=190,fontsize=5) +
  geom_cladelabel(node=1, "Psittaciformes", offset=190,fontsize=5) + 
  geom_cladelabel(node=5, "Columbiformes", offset=190,fontsize=5) +
  geom_treescale()
